## net.sf.saxon.style
Interface XSLTStaticContext

All Superinterfaces:
  StaticContext

All Known Implementing Classes:
  ExpressionContext, UseWhenStaticContext

    public interface XSLTStaticContext

extends StaticContext

Extends the standard XPath static context with information that is available for XPath expressions invoked from XSLT

Method Summary
`boolean` `isElementAvailable(java.lang.String qname)` Determine if an extension element is available

Methods inherited from interface net.sf.saxon.expr.StaticContext
`bindVariable, getBaseURI, getCollation, getConfiguration, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getFunctionLibrary, getImportedSchemaNamespaces, getLineNumber, getLocationMap, getNamePool, getNamespaceResolver, getSystemId, getURIForPrefix, isAllowedBuiltInType, isImportedSchema, isInBackwardsCompatibleMode, issueWarning, makeEarlyEvaluationContext`

Method Detail

### isElementAvailable

    boolean isElementAvailable(java.lang.String qname)
                               throws XPathException

  Determine if an extension element is available

  Throws:
    `XPathException` - if the name is invalid or the prefix is not declared

Copyright (c) Saxonica Limited. All rights reserved.